
QGIS Application - Bug report #5044

Error getting permissions when used service to connect to a a PG db

2012-02-18 07:40 AM - Giuseppe Sucameli

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14815

Description

I get an error message after the connection:

Error:

database "an" does not exist

Query:

SELECT has_database_privilege('an', 'CREATE'),

has_database_privilege('an', 'TEMP')

My connection info is:

Name: Uster

Service: pg_uster

Host: empty (defined in service)

Port: empty (defined in service)

Database: empty (defined in service)

SSL-Mode: disable

Username: an

pw: ...

Save Username: checkbox checked

Save Password: checkbox checked

History

#1 - 2013-01-18 01:34 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Project changed from 27 to QGIS Application

- Affected QGIS version set to master

#2 - 2013-01-18 01:37 AM - Giovanni Manghi

- Category set to DB Manager

#3 - 2013-01-18 01:43 AM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#4 - 2014-10-28 04:03 PM - Jürgen Fischer
- Status changed from Open to Feedback

not reproducable - is this still current?

#5 - 2015-01-10 01:52 PM - Jürgen Fischer

- Status changed from Feedback to Closed

closing for the lack of feedback
